Summary:	Cogito scm with git core
Name:		cogito
Version:	0.18.2
Release:	%mkrel 5
Source0:	http://www.kernel.org/pub/software/scm/cogito/%{name}-%{version}.tar.bz2
License:	GPL
Group:		Development/Other
Url:		http://www.kernel.org/pub/software/scm/cogito/
BuildRequires:	openssl-devel
BuildRequires:  curl-devel
BuildRequires:  zlib-devel
Requires: 	rsync
Requires:       mktemp >= 1.5
Requires:       diffutils
Requires:       git-core
BuildArch:      noarch
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Cogito is a version control system layered on top of the git tree history
storage system. It aims at seamless user interface and ease of use, providing
generally smoother user experience than the "raw" Core GIT itself and indeed
many other version control systems.

%prep
%setup -q

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
make install DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix} libdir=%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/cg*
#%{_bindir}/commit-id
#%{_bindir}/parent-id
#%{_bindir}/tree-id
%{_datadir}/%{name}
%doc README VERSION COPYING 





%changelog
* Wed Sep 02 2009 Thierry Vignaud <tvignaud@mandriva.com> 1:0.18.2-5mdv2010.0
+ Revision: 424914
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:0.18.2-4mdv2009.0
+ Revision: 243592
- rebuild

* Sat Dec 29 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1:0.18.2-2mdv2008.1
+ Revision: 139323
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Nov 30 2006 Gaëtan Lehmann (INRA) <glehmann@mandriva.org> 0.18.2-1mdv2007.0
+ Revision: 89048
- 0.18.2

* Fri Nov 10 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.18.1-1mdv2007.0
+ Revision: 80583
- New version 0.18.1

  + Gaëtan Lehmann (INRA) <glehmann@mandriva.org>
    - 0.17.4
    - Import cogito

* Tue Jun 27 2006 trem <trem@mandriva.org> 1:0.17.3-1mdv2007.0
- New release 0.17.3

* Thu Apr 13 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.17.2-1mdk
- New release 0.17.2

* Tue Mar 28 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.17.1-1mdk
- New release 0.17.1

* Wed Mar 01 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.17-2mdk
- fix missing directory

* Tue Feb 28 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.17-1mdk
- New release 0.17

* Tue Jan 17 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.16.4-1mdk
- New release 0.16.4

* Mon Jan 16 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.16.3-1mdk
- New release 0.16.3

* Sat Dec 31 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.16.2-2mdk
- requires git-core instead of linus-git
- spec cleanup

* Fri Dec 16 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.16.2-1mdk
- New release 0.16.2

* Wed Dec 14 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.16.1-1mdk
- New release 0.16.1

* Sat Dec 03 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.16-1mdk
- New release 0.16

* Sun Nov 13 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.16rc2-1mdk
- New release 0.16rc2

* Wed Oct 05 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.15.1-1mdk
- New release 0.15.1

* Thu Sep 08 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.13-1mdk
- New release 0.13
- mkrel
- requires linus-git

* Thu May 12 2005 Samir Bellabes <sbellabes@mandriva.com> 0.10-2mdk
- fix libdir
- noarch

* Tue May 10 2005 Samir Bellabes <sbellabes@mandriva.com> 0.10-1mdk
- update to version 0.10

* Sat Apr 30 2005 Samir Bellabes <sbellabes@mandriva.com> 0.8-1mdk
- First release

